@charset "UTF-8";

/* =======================================
　ナビゲーションレイアウト共通
======================================= */

@media screen and (min-width: 769px) {
  nav {
    position: relative;
    display: flex;
    box-sizing: border-box;
    padding: 0 0 5px;

    align-items: flex-start;
  }

  nav ul {
    position: relative;
    margin: 0;
    padding: 0;
    list-style: none;
  }

  nav ul li {
    position: relative;
    float: left;
  }

  nav ul li:not(:first-child) {
    border-left: none;
  }

  nav ul li a {
    display: inline-block;
    padding: 10px 20px;
    text-align: center;
    letter-spacing: 1px;
    font-weight: 700;
    font-style: italic;
    font-size: 14px;
    font-family: 'Open Sans', sans-serif;
  }

  nav ul li a:link,
  nav ul li a:visited {
    text-decoration: none;
  }

  nav > ul > li > a:hover {
    text-decoration: underline;
  }

  nav ul li:hover > ul {
    display: block;
  }

  nav ul ul {
    position: absolute;
    top: 100%;
    left: -2px;
    display: none;
  }

  nav ul ul li {
    float: none;
    margin: 0;
    width: 180px;
    border-bottom: 1px solid #fff;
    background: rgba(255, 255, 255, .7);
  }

  nav ul ul li a {
    color: #111;
  }

  nav ul ul li:hover {
    background: rgba(255, 255, 255, 95);
  }

  nav ul ul ul {
    position: absolute;
    top: -2px;
    left: 100%;
  }
}




/* =======================================
　ナビゲーションレイアウト（ヘッダー）
======================================= */

@media screen and (min-width: 769px) {
  header #nav-top #toggle {
    display: none;
  }

  header nav#header-nav {
    justify-content: flex-end;
  }

  header nav#header-nav ul li a:link,
  header nav#header-nav ul li a:visited {
    color: #737373 !important;
  }
}


@media screen and (max-width: 768px) {
  #nav-top {
    margin: 2rem 0 0;
  }

  #nav-top nav {
    position: absolute;
    top: -150vh;
    left: 0;
    z-index: 100;
    overflow: auto;
    box-sizing: border-box;
    width: 100%;
    height: calc(100vh - 50px);
    background: #866146;
    text-align: left;
    transition: .3s ease-in-out;
  }

  #nav-top nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
  }

  #nav-top ul li {
    line-height: 1.5;
  }

  #nav-top ul li a {
    display: block;
    color: #FFF !important;
    text-decoration: none;
    font-weight: 700;
    font-style: italic;
    font-family: 'Open Sans', sans-serif;
  }

  #nav-top ul > li a {
    margin: 0 0 1px;
    padding: 10px 0 10px 20px;
    background: rgba(255, 255, 255, .05);
  }

  #nav-top ul > li > ul > li a {
    padding: 10px 0 10px 30px;
    background: rgba(255, 255, 255, .15);
  }

  #nav-top ul > li > ul > li > ul > li a {
    padding: 10px 0 10px 40px;
    background: rgba(255, 255, 255, .25);
  }


  
  /*--- クリック時 ---*/
  .openNav nav {
    transform: translateY(150vh);
  }

  #nav-top.openNav nav {
    background: rgba(0, 0, 0, .95);
  }

  .openNav #toggle span:nth-child(1) {
    top: 11px;
    border-color: #FFF;
    transform: rotate(-45deg);
  }

  .openNav #toggle span:nth-child(2),
  .openNav #toggle span:nth-child(3) {
    top: 11px;
    border-color: #FFF;
    transform: rotate(45deg);
  }


  
  /*--- トグルアイコン ---*/
  #toggle {
    position: absolute;
    top: -35px;
    left: 20px;
    z-index: 200;
    width: 25px;
    height: 20px;
    cursor: pointer;
  }

  #toggle div {
    position: relative;
  }

  #toggle span {
    position: absolute;
    display: block;
    width: 100%;
    border-bottom: solid 3px #FFF;
    transition: .38s ease-in-out;
  }

  #toggle span:nth-child(1) {
    top: 0;
  }

  #toggle span:nth-child(2) {
    top: 8px;
  }

  #toggle span:nth-child(3) {
    top: 16px;
  }
}




/* =======================================
　ナビゲーションレイアウト（フッター）
======================================= */
@media screen and (min-width: 769px) {
  footer nav {
    justify-content: center;
  }
}

